LinkPreview (gCube Share Updates Portlet 1.7.0-3.7.0 API)
Date: 2015-05-19

org.gcube.portlets.user.shareupdates.shared

## Class LinkPreview

- java.lang.Object
- - org.gcube.portlets.user.shareupdates.shared.LinkPreview

- All Implemented Interfaces:
    Serializable

      public class LinkPreview
      extends Object
      implements Serializable

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LinkPreview()`
    `LinkPreview(String title, String description, String url, String host, ArrayList<String> imageUrls)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getDescription()`
    `String` | `getHost()`
    `ArrayList<String>` | `getImageUrls()`
    `String` | `getTitle()`
    `String` | `getUrl()`
    `void` | `setDescription(String description)`
    `void` | `setHost(String host)`
    `void` | `setImageUrls(ArrayList<String> imageUrls)`
    `void` | `setTitle(String title)`
    `void` | `setUrl(String url)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### LinkPreview

          public LinkPreview()

    - #### LinkPreview

          public LinkPreview(String title,
                     String description,
                     String url,
                     String host,
                     ArrayList<String> imageUrls)

  - ### Method Detail

    - #### getHost

          public String getHost()

    - #### setHost

          public void setHost(String host)

    - #### getTitle

          public String getTitle()

      Returns:

    - #### setTitle

          public void setTitle(String title)

      Parameters:
        `title` -

    - #### getDescription

          public String getDescription()

    - #### setDescription

          public void setDescription(String description)

    - #### getUrl

          public String getUrl()

    - #### setUrl

          public void setUrl(String url)

    - #### getImageUrls

          public ArrayList<String> getImageUrls()

    - #### setImageUrls

          public void setImageUrls(ArrayList<String> imageUrls)

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2015. All Rights Reserved.